Refresh Static IPs (Datacenter/ISP)
Use the Bright Data Account Management API to refresh Static IPs (Datacenter/ISP) via POST /zone/ips/refresh, returning JSON zone or account data with 200 OK.
Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
Zone name
"zone1"
IPs to refresh
Note: If refresh is needed for all allocated IPs, then vips parameter should be omitted.
Note: Only works for Dedicated Residential IPs
["vip1", "vip2"]IPs to refresh
Note: If refresh is needed for all allocated IPs, then ips parameter should be omitted
["ip1", "ip2"]new IPs' country (e.g. us)
new IPs' city (e.g. us-chicago)
Response
OK
The response is of type object.